基于OS_V1.2.0工程升级问题

2016-7-22 20:48 [复制链接] 3 1592

大家好!* b; q$ T% s% \4 v; D
目前正在继续维护原先同事基于RT-Thread V1.2.0的项目,在维护项目应用功能的同时,考虑到了OS升级的问题,有如下问题请教:
' {' p2 l1 y8 H% @1)V1.2.0是否适合直接向V1.2.1~1.2.5升级?我的原意是不谋求新增特性,而是希望到V1.2.5系统得到一些内部性能的改善或BUG的修复,所以认为API及组件不变的新版本是有必要采纳的,从V1.2.0到1.2.5是不是就这这种情况?作为使用者,OS内部是否存在问题并不了解。
2 J/ M6 R, z) I: m; M; t& k2)V2.0.0以后的版本我看到新增了组件,因此基于V1.2.0且功能够用的工程是不是就没有必要考虑升级了?
) k4 [) M# [& y  |' G  H/ `% p1 @3)V1.2.0到V1.2.5的升级,逐个替换同名目录/文件就可以了吧?
  ?9 ^1 M5 ]. Z5 P
7 x6 b2 [. i; p. V谢谢RT-Thread官方技术专家和广大RT-Thread的用户
使用道具 举报 显示全部楼层 回复
最新评论 | 正序浏览
显示全部楼层 |楼层直达:
发表于 2016-7-23 08:38:53 | 显示全部楼层

基于OS_V1.2.0工程升级问题

原来项目已经量产且没什么问题的话,继续保持就好了。6 T% G# {% M$ X

! ?: a$ X3 _0 q要升级的话,替换同名目录和文件就可以了。
: I7 o3 @7 I1 p' p7 E. T: R+ J- R然后就是所有功能都要重新测试。1 j' P, m1 X+ |' d5 G! I; E9 I
5 z( m2 W% _  o" S) c  `9 s
新项目直接用新的。
使用道具 举报 回复
发表于 2016-7-23 16:20:36 | 显示全部楼层

基于OS_V1.2.0工程升级问题

对比下,注意下一些bug修复即可
使用道具 举报 回复
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|RT-Thread开发者社区 ( 沪ICP备13014002号-1

有害信息举报电话:021-31165890 手机:18930558079

© 2006-2019 上海睿赛德电子科技有限公司

Powered by RT-Thread

快速回复 返回顶部 返回列表